function[z,self] = calculate_initial_map(self, z)
% calculate_initial_map -- The initial map for the geodesic zipper-type algorithm.
%
% z = calculate_initial_map(self, z)
%
%     Performs the initial map for zipper-type algorithms. 

self.moebius_maps.initial_map = MoebiusMap([1 -z(2); ...
                                            1 -z(1)]);

z([1:2 end]) = [Inf; 0; Inf];

z(3:end-1) = i*sqrt(self.moebius_maps.initial_map(z(3:end-1)));

% At this point, infinity has been mapped to +i. Compute derivative, modulo
% 1/inf^2 factor up to this point.
self.derivative_at_inf = i/2*(self.z(2) - self.z(1));

self.derivative_at_inf = 1;
