function[L, J] = cross_ratio_norm(vector, d, r)
% cross_ratio_norm -- Norm of a cross-ratio vector
%
% L = cross_ratio_norm(vector)
% [L,J] = cross_ratio_norm(vector, 1)
%
%     Computes a norm of a vector of cross-ratios. If the second input is a
%     boolean true, then this also evaluates the Jacobian of this norm. It is
%     assumed that the vector has real-valued entries.

if nargin < 3
  r = 2;
  if nargin < 2
    d = 0;
  end
end

% (\ell^r norm), why not?
L = norm(vector).^r;
%L = norm(vector, r);

if d
  J = 2*vector(:).';
else
  J = 0;
end
